/*
Theme Name: Primo Colpo Muay Thai
Description: Child theme
Author: Travolgi
Author URI: https://travolgi.it
Template: hello-elementor
Version: 1.0.1
Text Domain: primocolpo-muaythai
*/

body.admin-bar, 
body.admin-bar header {
	margin-top: 32px !important;
}

header a {
	transition: .6s ease-in-out;
}
header .btn {
	background: var(--e-global-color-accent);
	padding-inline: 1rem !important;
	transition: .6s ease-in-out;
}
header .btn:hover {
	background: var(--e-global-color-secondary) !important;
}
header .btn:hover a {
	color: var(--e-global-color-text) !important;
}
header .btn:hover a::after {
	background: transparent !important;
}
header .btn.current_page_item {
	background: var(--e-global-color-secondary);
}
/* header cta big screen */
@media only screen and (min-width: 1024px) {
	header .btn {
		margin-left: .6rem !important;
	}
	.elementor-nav-menu--dropdown .elementor-item:focus,
    .elementor-51 .elementor-element.elementor-element-153d0a62 .elementor-nav-menu--dropdown a:hover,
    header nav.elementor-nav-menu--dropdown.elementor-nav-menu__container li a::focus {
		background: transparent !important;
	}
}
/* header nav pannel mobile  */
@media only screen and (max-width: 1024px) {
	header nav.elementor-nav-menu--dropdown.elementor-nav-menu__container {
		width: 75vw !important;
		left: unset !important;
		right: 0 !important;
		margin-top: 2.8rem;
		padding: 1.5rem .6rem;
		border-radius: 1rem 0 1rem 0 !important;
		background: var(--e-global-color-6ae60cc) !important;
	}
	header nav.elementor-nav-menu--dropdown.elementor-nav-menu__container li a.elementor-item-active {
		color: var(--e-global-color-secondary) !important;
		background: transparent !important;
	}
	header nav.elementor-nav-menu--dropdown.elementor-nav-menu__container li.btn a.elementor-item-active {
		color: var(--e-global-color-text) !important;
		background: transparent !important;
	}
	header nav.elementor-nav-menu--dropdown.elementor-nav-menu__container li:hover a {
		color: var(--e-global-color-secondary) !important;
	}
}

/* hero swiper slider fix */
#pcmt-hero .swiper-slide-contents {
  background: rgba(126, 93, 60, .8);
  padding: 1.5rem 3rem;
  border-radius: 1.5rem 0 1.5rem 0;
}
@media only screen and (max-width: 1024px) {
    #pcmt-hero .swiper-slide-contents {
        padding: 1.5rem;
    }
}

/* elementor faqs fix */
.elementor-accordion-item .elementor-tab-title.elementor-active,
.elementor-accordion-item .elementor-tab-content.elementor-clearfix.elementor-active {
    border-left: .5rem solid var(--e-global-color-accent) !important;
}

/* elementor post fix */
.elementor-posts .elementor-post__card {
    border-radius: 0 !important;
}
.elementor-posts--thumbnail-top .elementor-post__thumbnail__link {
    margin-bottom: 0 !important;
    border-radius: 1rem 0 1rem 0 !important;
    overflow: hidden;
}
.elementor-post__card > div:not(.elementor-post__badge) {
    border-left: .5rem solid var(--e-global-color-accent) !important;
}
.elementor-post__card .elementor-post__text {
    padding-top: 1.5rem !important;
}
.elementor-post__card .elementor-post__meta-data {
	border-top: none !important;
	padding-block: 0 .5rem !important;
}
.elementor-widget-theme-post-content img {
    margin-block: 1.5rem;
}

/* sidebars */
.sidebar .wp-block-search__inside-wrapper {
    display: flex;
    flex: auto;
    flex-wrap: nowrap;
    max-width: 100%;
}
.sidebar.widget_search {
    margin-bottom: 2rem;
}
.sidebar.widget_search input {
    background: transparent !important;
    border: .15rem solid var(--e-global-color-secondary) !important;
    outline: none !important;
}
.sidebar h1,
.sidebar h2,
.sidebar h3,
.sidebar h4 {
    font-family: var(--e-global-typography-primary-font-family) !important;
    font-size: 2rem !important;
    letter-spacing: 2px !important;
    color: var(--e-global-color-text) !important;
}
.sidebar.widget_search button[type="submit"] {
    padding: .3rem .9rem .2rem 1.1rem !important;
    margin-left: 0 !important;
    font-size: 1.8rem !important;
    border: 0 !important;
}
.sidebar.widget_categories ul li {
    margin-bottom: .6rem;
    text-transform: uppercase;
}
.sidebar.widget_categories ul li::marker {
    color: var(--e-global-color-secondary) !important;
}
.sidebar.widget_categories ul li a {
    color: var(--e-global-color-text) !important;
}

/* cookieyes fix */
.cky-notice-btn-wrapper .cky-btn,
.cky-prefrence-btn-wrapper .cky-btn{
    padding: .5rem !important;
    font-size: 1rem !important;
    font-weight: 400 !important;
}
.cky-preference-content-wrapper a {
    font-size: 15px !important;
}
button.cky-show-desc-btn:not(:hover):not(:active) {
    color: var( --e-global-color-secondary ) !important;
}
.cky-switch input[type="checkbox"] {
    border-radius: 50px !important;
    padding: 0 !important;
}
.cky-footer-wrapper div:last-child {
    display: none !important;
}

/* minor fix */
.elementor-slideshow__footer.elementor-lightbox-prevent-close .elementor-slideshow__title {
    display: none;
}
.elementor-widget-html ul,
.elementor-widget-theme-post-content ul {
    margin-bottom: 1rem;
}